"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BoxDigit = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _constants = require("../../common/constants");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const BoxDigit = _ref => {
  let {
    isValueFocused,
    handleOnPress,
    digit,
    pinCount,
    boxSelectedStyle,
    boxStyle,
    digitStyle,
    variant
  } = _ref;
  const selectedStyle = (0, _react.useMemo)(() => boxSelectedStyle || {
    borderColor: 'blue'
  }, [boxSelectedStyle]);
  const renderDigitByVariant = (0, _react.useMemo)(() => {
    return {
      default: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [styles.box, {
          width: (_constants.width - 40 - 20 * (pinCount - 1)) / pinCount
        }, boxStyle, isValueFocused ? selectedStyle : {}],
        onStartShouldSetResponder: _constants.EMPTY_ACTION,
        onResponderGrant: handleOnPress
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [styles.digit, digitStyle]
      }, digit)),
      security: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        onStartShouldSetResponder: _constants.EMPTY_ACTION,
        onResponderGrant: handleOnPress
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [styles.itemSecurity,
        // eslint-disable-next-line react-native/no-inline-styles
        digit !== null && digit !== void 0 && digit.length ? {
          backgroundColor: 'blue',
          borderWidth: 0
        } : {}, boxStyle,
        // eslint-disable-next-line react-native/no-inline-styles
        isValueFocused ? boxSelectedStyle || {
          borderColor: 'blue'
        } : {}]
      })),
      underlined: /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.containerUnderLined,
        onStartShouldSetResponder: _constants.EMPTY_ACTION,
        onResponderGrant: handleOnPress
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [digit !== null && digit !== void 0 && digit.length ? {} : styles.hidden]
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [styles.digit, digitStyle]
      }, digit || 0)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [styles.itemUnderLined, isValueFocused ?
        // eslint-disable-next-line react-native/no-inline-styles
        boxSelectedStyle || {
          backgroundColor: 'blue'
        } : {}]
      }))
    };
  }, [boxSelectedStyle, boxStyle, digit, digitStyle, handleOnPress, isValueFocused, pinCount, selectedStyle]);
  return renderDigitByVariant[variant];
};
exports.BoxDigit = BoxDigit;
const styles = _reactNative.StyleSheet.create({
  boxContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingHorizontal: 20
  },
  box: {
    height: 64,
    maxWidth: 56,
    borderWidth: 1,
    borderColor: 'black',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#c3c3c3'
  },
  digit: {
    fontSize: 36,
    color: 'black'
  },
  itemSecurity: {
    height: 30,
    width: 30,
    borderRadius: 15,
    borderWidth: 2,
    borderColor: 'black'
  },
  itemUnderLined: {
    height: 3,
    width: 30,
    backgroundColor: 'gray'
  },
  containerUnderLined: {
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  hidden: {
    opacity: 0
  }
});
//# sourceMappingURL=index.js.map